snd_interval_refine
Prev | Chapter 22. Sound Devices | Next

## Name

snd_interval_refine — refine the interval value of configurator

## Synopsis

`int snd_interval_refine (` | struct snd_interval * | i,
| const struct snd_interval * | v`)`;

## Arguments

`i`

  the interval value to refine

`v`

  the interval value to refer to

## Description

Refines the interval value with the reference value. The interval is changed to the range satisfying both intervals. The interval status (min, max, integer, etc.) are evaluated.

Returns non-zero if the value is changed, zero if not changed.

Prev | Up | Next
snd_pcm_set_sync | Home | snd_interval_ratnum